<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from optkelley_polyline.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="optkelley_polyline" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 02-Jun-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>optkelley_polyline</refname><refpurpose>Polynomial line search.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [xp, idid, lambda]=optkelley_polyline(xc, fc, gc, d, ft, fobj, maxarm)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>xc:</term>
      <listitem><para> current point</para></listitem></varlistentry>
   <varlistentry><term>fc:</term>
      <listitem><para> current function value</para></listitem></varlistentry>
   <varlistentry><term>gc:</term>
      <listitem><para> current gradient value</para></listitem></varlistentry>
   <varlistentry><term>d:</term>
      <listitem><para> direction</para></listitem></varlistentry>
   <varlistentry><term>ft:</term>
      <listitem><para> trial function (rejected value)</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> objective function. The calling sequence for f should be [fout,gout]=f(x) where fout=f(x) is a scalar and gout = grad f(x) is a COLUMN vector</para></listitem></varlistentry>
   <varlistentry><term>maxarm:</term>
      <listitem><para> maximum number of step length reductions</para></listitem></varlistentry>
   <varlistentry><term>xp:</term>
      <listitem><para> successful new point (if it exists)</para></listitem></varlistentry>
   <varlistentry><term>idid:</term>
      <listitem><para> number of calls to f (if line search succeeds) or -1 if line search fails.</para></listitem></varlistentry>
   <varlistentry><term>lambda:</term>
      <listitem><para> the step size which satisfies the sufficient decrease condition</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Call after first point is rejected.
Returns the point xp such that the sufficient decrease condition is satifies.
The sufficient decrease condition writes f(xc+lambda*d) &lt;= fc+alp*lambda*gc'*d
with alp = 1.d-4.
This code comes with no guarantee or warranty of any kind.
   </para>
   <para>
Requires: optkelley_polymod.sci
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>C. T. Kelley, Dec 29, 1997</member>
   <member>Yann Collette, Scilab port</member>
   <member>Michael Baudin, DIGITEO, 2010, Update to Scilab 5.2, formatted comments</member>
   </simplelist>
</refsection>
</refentry>
